Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Jorge Timón <[email-masked]>
Date: Mon, 17 Aug 2015 17:54:33 +0200

On Mon, Jun 22, 2015 at 11:32 PM, Ross Nicoll <[email-masked]> wrote:
> Potentially daft question, why not use a minimum height? Yes, it's
> imprecise, but over an extended period of time they're good enough IMHO.
>
> I'd have to do more careful calculations to confirm, but block 388,000
> should be about right as a minimum.

BIP99 (still a draft too) currently recommends a minimum height plus
95% mining upgrade confirmation (aka "miner voting") after that for
uncontroversial hardforks:

https://github.com/jtimon/bips/blob/bip-forks/bip-0099.mediawiki#Uncontroversial_hardforks
http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-July/009837.html

But general hardfork activation discussion is still inconclusive in
http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-July/009731.html

The code for the example uncontroversial hardfork proposed in bip99 is
at: https://github.com/bitcoin/bitcoin/compare/0.11...jtimon:hardfork-timewarp-0.11
But I haven't created a PR for either the code or the bip yet.